Create a refund for the given credit note.
curl --request POST \
--url https://api.example.com/api/credit-notes/{creditNoteId}/refunds \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'organization-id: <organization-id>' \
--data '
{
"fromAccountId": 1,
"amount": 100,
"exchangeRate": 1,
"referenceNo": "123456",
"description": "Credit note refund",
"date": "2021-01-01",
"branchId": 1
}
'import requests
url = "https://api.example.com/api/credit-notes/{creditNoteId}/refunds"
payload = {
"fromAccountId": 1,
"amount": 100,
"exchangeRate": 1,
"referenceNo": "123456",
"description": "Credit note refund",
"date": "2021-01-01",
"branchId": 1
}
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
fromAccountId: 1,
amount: 100,
exchangeRate: 1,
referenceNo: '123456',
description: 'Credit note refund',
date: '2021-01-01',
branchId: 1
})
};
fetch('https://api.example.com/api/credit-notes/{creditNoteId}/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Credit Note Refunds
Create a refund for the given credit note.
POST
/
api
/
credit-notes
/
{creditNoteId}
/
refunds
Create a refund for the given credit note.
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
Example:
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Path Parameters
Body
application/json
The id of the from account
Example:
1
The amount of the credit note refund
Example:
100
The exchange rate of the credit note refund
Example:
1
The reference number of the credit note refund
Example:
"123456"
The description of the credit note refund
Example:
"Credit note refund"
The date of the credit note refund
Example:
"2021-01-01"
The id of the branch
Example:
1
Response
201 - undefined
⌘I